CDAVL(8)

NAME
cdavl - CUI disk allocation viewer

SYNOPSIS
cdavl [ -cChnstTv[v[v]] ] [ devname [ path ] ]

DESCRIPTION
cdavl checks the fragmentation of a ext2 or a ext3 filesystem. It works whether filesystem is mounted or unmounted, and available for a directory or a file.

devname is the device file where the filesystem is stored (e.g. /dev/hda1). If this argument is omitted, cdavl outputs the list of device name and mount status.

path is the directory or the file which would be checked (e.g. /lost+found). The first character / is required.

OPTIONS

-c  Print color result.

-C  Compare the result of cdavl with inode bitmaps and block bitmaps. This option for debug use.

-h  Show the usage.

-n  When path is the directory, this option forced that cdavl doesn't check this directory recursively.

-s  When the filesystem of devname is mounted, cdavl will automatically use the davl_liveinfo kernel module. This option force that cdavl not use the davl_liveinfo module.

-t  Change the output data format to comma separated block-type and block-count (e.g. X1,s5,Y2). The meanings of each block-type is described below. Output data line is separated by 80 columns.
        .    - unused
        S    - boot block, super block, group descriptor
        s    - block bitmap, inode bitmap
        i    - inode (unused)
        I    - inode (used)
        o    - continuous file
        x    - continuous blocks of fragmented file
        X    - fragmented blocks of fragmented file
        Y    - system fragmented blocks of fragmented file

-T  Change the output data format to comma separated block-type and block-count (e.g. X1,s5,Y2). Output data line is not separated by 80 columns (output by one line).

-v(v(v))
    Verbose mode.

FBKSINFO
davl_liveinfo is the kernel module that is used by cdavl(8). In case of checking a mounted filesystem, if the file on it was modified, cdavl couldn't read this until disk I/O was finished. davl_liveinfo module solves this problem. It reads the file block information from inode of the kernel. While file systems are unmounted, it isn't used because cdavl directly reads the file block information from block device.

AUTHORS
Yumiko Sugita <sugita@sdl.hitachi.co.jp>,
Satoshi Fujiwara <sa-fuji@sdl.hitachi.co.jp>

AVAILABILITY
cdavl is a part of the davl and is available from
http://sourceforge.net/projects/davl

SEE ALSO
gdavl(8)